16.08.2017, 21:35 UTC+2

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

ReneVE

Anfänger

Beiträge: 4

Geschlecht: Männlich

1

06.06.2016, 18:37

Abhängigkeitsproblem bei Knoppix 7.6.1

Ahoi werte Knoppix-Gemeinschaft! :)

Ich habe ein Problem bei meinem Knoppix. Ich habe es heute frisch installiert und wollte einfach das Programm "eric" dazu installieren. Und dabei bekam ich folgenden Fehler:

Zitat

Unerfüllte Abhängigkeiten. Versuchen Sie »apt-get -f install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).
Gesagt getan, ich habs versucht mit sudo apt-get -f install, aber dann bekam ich folgenden Fehler:

Zitat

dpkg: Warnung: Dateilisten-Datei des Paketes »cloop-utils« fehlt; es wird angenommen,
dass das Paket derzeit keine Dateien installiert hat
(Lese Datenbank ... 439024 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../init-system-helpers_1.34_all.deb ...
Entpacken von init-system-helpers (1.34) über (1.24) ...
dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/init-system-helpers_1.34_all.deb (--unpack):
Versuch, »/usr/sbin/invoke-rc.d« zu überschreiben, welches auch in Paket sysv-rc 2:2.88dsf-53.2knoppix0 ist
Fehler traten auf beim Bearbeiten von:
/var/cache/apt/archives/init-system-helpers_1.34_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Kennt wer das Problem? Ich hab das Internet durchsucht, aber leider nichts vergleichbares gefunden was mir helfen könnte um eric doch noch zu installieren, da auch eine manuelle Installation in dieser Fehlermeldung endet.

Ich hoffe ihr könnt mir weiterhelfen. :)

Alles Liebe,
Rene

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »ReneVE« (07.06.2016, 16:16)


klaus2008

Meister

Beiträge: 2 644

Geschlecht: Männlich

2

07.06.2016, 10:37

Hallo!

Zitat

Ich habe es heute frisch installiert und wollte einfach das Programm "eric" dazu installieren.

Wie?

Wenn es um das Paket eric in der Version 6.1.2 geht: Mit

Quellcode

1
2
sudo apt-get update
sudo apt-get -t testing install eric 
kann man zumindest bei der Live-DVD das Paket problemlos installieren.

Gruß
Klaus

ReneVE

Anfänger

Beiträge: 4

Geschlecht: Männlich

3

07.06.2016, 16:24

Wie?
Ich habe es mit dem Knoppix HD-Installer auf meinem Compaq Mini installiert, da dieser keine Netzwerkdose hat und Knoppix gleich den propritären Treiber für's Wifi mitliefert. :thumbup:

Zitat

Wenn es um das Paket eric in der Version 6.1.2 geht: Mit

Quellcode

1
2
sudo apt-get update
sudo apt-get -t testing install eric 
kann man zumindest bei der Live-DVD das Paket problemlos installieren.
Achso Software wird mit "-t testing" auf Knoppix installiert, das wusste ich nicht. Leider kommt immer noch das Abhängigkeitsproblem, hab ich das System zerschossen und muss neu aufsetzen? :S

klaus2008

Meister

Beiträge: 2 644

Geschlecht: Männlich

4

07.06.2016, 19:13

Was geschieht, wenn

Quellcode

1
sudo apt-get -t testing -f install 
ausgeführt wird?

Zitat

hab ich das System zerschossen und muss neu aufsetzen?
Ich würde zuerst

Quellcode

1
2
sudo dpkg -a --configure
sudo apt-get -t testing -f install 
ausprobieren.
Man könnte immer noch

Quellcode

1
2
sudo dpkg -i --force-overwrite /var/cache/apt/archives/init-system-helpers_1.34_all.deb
sudo apt-get -t testing -f install
ausprobieren und hoffen, dass das System, welches eigentlich mit /usr/sbin/invoke-rc.d aus dem Paket sysv-rc 2:2.88dsf-53.2knoppix0 arbeiten soll, wie gewünscht funktioniert. Zuvor sollte man aber Dateien sichern, die noch gebraucht werden.

Wenn es keinen zu großen Aufwand bedeutet, würde ich das System neu installieren und Programminstallationen konsequent in der Kommandozeile mit "apt-get -t testing install [Paketname]" oder "apt-get -t unstable install [Paketname]" durchführen, auch wenn die Programminstallation mit der Synaptic-Paketverwaltung bequemer erscheint. Spätestens, wenn man eine Meldung erhält, dass elementare Pakete ausgetauscht würden, sollte man sehr vorsichtig vorgehen.

ReneVE

Anfänger

Beiträge: 4

Geschlecht: Männlich

5

07.06.2016, 22:13

Nach

Zitat

sudo apt-get -t testing -f install
kommt der gleiche Abhängigkeitsfehler wieder..

Bei sudo dpkg -a --configure

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Abhängigkeitsprobleme - verbleibt unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 strongswan-libcharon
 libpam-systemd:i386
 strongswan-starter
 policykit-1
 strongswan
 libstrongswan-standard-plugins
 udisks2
 polkit-kde-agent-1
 colord
 udev
 sa-compile
 sysvinit-utils
 gnome-bluetooth
 gnome-disk-utility
 iceowl-extension
 strongswan-charon
 initscripts
 mdadm
 calendar-google-provider
 gnome-user-share
 openvpn
 console-setup-linux
 console-setup

Zitat

sudo dpkg -i --force-overwrite /var/cache/apt/archives/init-system-helpers_1.34_all.deb

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
dpkg: Warnung: Dateilisten-Datei des Paketes »cloop-utils« fehlt; es wird angenommen,
 dass das Paket derzeit keine Dateien installiert hat
(Lese Datenbank ... 439024 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../init-system-helpers_1.34_all.deb ...
Entpacken von init-system-helpers (1.34) über (1.24) ...
dpkg: Warnung: Problem wird übergangen, weil --force angegeben ist: 
dpkg: Warnung: Versuch, »/usr/sbin/invoke-rc.d« zu überschreiben, welches auch in Paket sysv-rc 2:2.88dsf-53.2knoppix0 ist
dpkg: Warnung: Problem wird übergangen, weil --force angegeben ist: 
dpkg: Warnung: Versuch, »/usr/sbin/update-rc.d« zu überschreiben, welches auch in Paket sysv-rc 2:2.88dsf-53.2knoppix0 ist
dpkg: Warnung: Problem wird übergangen, weil --force angegeben ist: 
dpkg: Warnung: Versuch, »/usr/share/man/man8/invoke-rc.d.8.gz« zu überschreiben, welches auch in Paket sysv-rc 2:2.88dsf-53.2knoppix0 ist
dpkg: Warnung: Problem wird übergangen, weil --force angegeben ist: 
dpkg: Warnung: Versuch, »/usr/share/man/man8/update-rc.d.8.gz« zu überschreiben, welches auch in Paket sysv-rc 2:2.88dsf-53.2knoppix0 ist
init-system-helpers (1.34) wird eingerichtet ...
Trigger für man-db (2.7.5-1) werden verarbeitet ...

Zitat

sudo apt-get -t testing -f install
800 MB wird heruntergeladen, aber zum Schluss kommt folgender Fehler.

Quellcode

1
2
3
Fehler traten auf beim Bearbeiten von:
 sa-compile
E: Sub-process /usr/bin/dpkg returned an error code (1)


Dann nochmal sudo apt-get -t testing -f install

Quellcode

1
2
3
4
5
6
7
8
sa-compile (3.4.1-4) wird eingerichtet ...
Running sa-compile (may take a long time)
make: Warnung: Datei „/usr/lib/i386-linux-gnu/perl/5.22/Config.pm“ hat hat in der Zukunft liegende Änderungszeit 6625696
make: *** [Makefile] Fehler 1
command 'make >>/tmp/.spamassassin12942Ls6lLltmp/log' failed: exit 2
dpkg: Fehler beim Bearbeiten des Paketes sa-compile (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 25 zurück
E: Sub-process /usr/bin/dpkg returned an error code (1)

Zitat

Wenn es keinen zu großen Aufwand bedeutet, würde ich das System neu
installieren und Programminstallationen konsequent in der Kommandozeile
mit "apt-get -t testing install [Paketname]" oder "apt-get -t unstable
install [Paketname]" durchführen,
Ach nein, ganz und gar nicht. Mein kleiner Compaq Mini ist eh nur ein "Versuchsobjekt". :)

ReneVE

Anfänger

Beiträge: 4

Geschlecht: Männlich

6

08.06.2016, 10:58

Habe das Gerät nun neu aufgesetzt und mit dem Vorschlag

Zitat

sudo apt-get update
sudo apt-get -t testing install eric

installiert. Allerdings gab es einen Fehler beim Ausführen von Eric.

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
<class 'TypeError'>: 
decorated slot has no signature compatible with returnPressed()
--------------------------------------------------------------------------------
  File "/usr/share/eric/modules/eric6.py", line 354, in <module>
	main()
  File "/usr/share/eric/modules/eric6.py", line 335, in main
	restartArgs)
  File "/usr/share/eric/modules/UI/UserInterface.py", line 227, in __init__
	self.__createLayout(debugServer)
  File "/usr/share/eric/modules/UI/UserInterface.py", line 627, in __createLayout
	self.__createSidebarsLayout(debugServer)
  File "/usr/share/eric/modules/UI/UserInterface.py", line 833, in __createSidebarsLayout
	self.irc = IrcWidget(self)
  File "/usr/share/eric/modules/Network/IRC/IrcWidget.py", line 60, in __init__
	self.setupUi(self)
  File "/usr/share/eric/modules/Network/IRC/Ui_IrcWidget.py", line 41, in setupUi
	self.networkWidget = IrcNetworkWidget(self.groupBox_2)
  File "/usr/share/eric/modules/Network/IRC/IrcNetworkWidget.py", line 69, in __init__
	self.on_nickCombo_currentIndexChanged)

--------------------------------------------------------------------------------
Version Numbers:
  Python 3.5.1+
  Qt 5.5.1
  PyQt 5.6
  sip 4.18
  QScintilla 2.9.2
  WebKit 538.1
  eric6 6.1.2 (rev. a495cee37ab9)

Platform: linux
3.5.1+ (default, Jun  2 2016, 23:07:42) 
[GCC 5.3.1 20160528]


Diesen Fehler konnte ich aber selbständig fixen mit

Quellcode

1
sudo nano /usr/share/eric/modules/Network/IRC/IrcNetworkWidget.py


und dann in Zeile über "def on_nickCombo_currentIndexChanged" ein weiteres

Quellcode

1
@pyqtSlot()
über "@pyqtSlot(str)" einfügt.

Vielen Dank für die Hilfe klaus2008! ^^

Ähnliche Themen

Linux HardwareLinux Computer & PCs | Linux Notebooks & Laptops | Geek Shirts | Geek und Nerd Shirt Shop